SystemOrganization addCategory: #'TP1-TADP'!

Trait named: #Analogico
	uses: {}
	category: 'TP1-TADP'!

!Analogico methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:22'!
definicionMaxima: unaPantalla
 ^480.! !

Trait named: #ConsumidorEntrada
	uses: {}
	category: 'TP1-TADP'!

!ConsumidorEntrada methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:32'!
consumo: consumoTecnologia
 ^ consumoTecnologia * (self factorAumento)! !

!ConsumidorEntrada methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:31'!
factorAumento
 ^self requirement.! !

Trait named: #ConsumidorTecnologia
	uses: {}
	category: 'TP1-TADP'!

!ConsumidorTecnologia methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:28'!
consumo: unaPantalla 
 ^ (self wattsHora) * (unaPantalla tamanio).! !

!ConsumidorTecnologia methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:28'!
wattsHora
 ^self requirement.! !

Trait named: #Digital
	uses: {}
	category: 'TP1-TADP'!

!Digital methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:25'!
definicionMaxima: unaPantalla 
 ^(self ppp)*(((unaPantalla tamanio) * (unaPantalla tamanio) / 2) sqrt).! !

!Digital methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:23'!
ppp
 self requirement.! !

!Digital methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:22'!
ppp: unValor
 self requirement.! !

Trait named: #Pantalla
	uses: {}
	category: 'TP1-TADP'!

!Pantalla methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:12'!
aptoVideoJuegos
 ^ (self tasaRefrescoReal > 100)! !

!Pantalla methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:04'!
consumo
 ^ self entrada consumo: (self tecnologia consumo:self).! !

!Pantalla methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:07'!
definicionMaxima
 ^self tecnologia definicionMaxima: self.! !

!Pantalla methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:00'!
entrada
 self requirement.! !

!Pantalla methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:14'!
entrada: unaEntrada
 self requirement.! !

!Pantalla methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:08'!
esConectable
 ^(self definicionMaxima >= self entrada definicion).! !

!Pantalla methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:00'!
tamanio
 self requirement.! !

!Pantalla methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:14'!
tamanio: unTamanio
 self requirement.! !

!Pantalla methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 11:59'!
tasaRefresco
 self requirement.! !

!Pantalla methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:12'!
tasaRefrescoReal
 ^ (self tasaRefresco) min: (self entrada tasaRefresco)! !

!Pantalla methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:00'!
tecnologia
 self requirement.! !

!Pantalla methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:14'!
tecnologia: unaTecnologia
 self requirement.! !

Trait named: #PlacaVideo
	uses: {}
	category: 'TP1-TADP'!

!PlacaVideo methodsFor: 'as yet unclassified' stamp: 'sebi 4/12/2013 10:42'!
aptoVideoJuegos
 self requirement.! !

!PlacaVideo methodsFor: 'as yet unclassified' stamp: 'sebi 4/12/2013 10:39'!
cantCoolers
 self requirement! !

!PlacaVideo methodsFor: 'as yet unclassified' stamp: 'sebi 4/12/2013 10:39'!
cantCoolers: nroCoolers 
 self requirement.! !

!PlacaVideo methodsFor: 'as yet unclassified' stamp: 'sebi 4/12/2013 10:40'!
consumo
 ^ (self consumoBase) + (self consumoCoolers)! !

!PlacaVideo methodsFor: 'as yet unclassified' stamp: 'sebi 4/12/2013 10:39'!
consumoBase
 self requirement! !

!PlacaVideo methodsFor: 'as yet unclassified' stamp: 'sebi 4/12/2013 10:40'!
consumoCoolers
 ^ (self cantCoolers) * 0.5! !

Object subclass: #AudioVideo
	uses: ConsumidorEntrada
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-TADP'!

AudioVideo class
	uses: ConsumidorEntrada classTrait
	instanceVariableNames: ''!

!AudioVideo methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:41'!
definicion
 ^480! !

!AudioVideo methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:41'!
factorAumento
 ^1.1! !

!AudioVideo methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:41'!
tasaRefresco
 ^50.! !

Object subclass: #CRT
	uses: Analogico + ConsumidorTecnologia
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-TADP'!

CRT class
	uses: Analogico classTrait + ConsumidorTecnologia classTrait
	instanceVariableNames: ''!

!CRT methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:29'!
wattsHora
 ^5! !

Object subclass: #Computadora
	instanceVariableNames: 'placaVideo pantalla discosRigidos'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-TADP'!

!Computadora methodsFor: 'as yet unclassified' stamp: 'sebi 4/12/2013 10:24'!
agregarDiscoRigido: discoRigido
 discosRigidos add: discoRigido! !

!Computadora methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 13:05'!
aptoVideoJuegos
 ^ self pantalla aptoVideoJuegos & self placaVideo aptoVideoJuegos! !

!Computadora methodsFor: 'as yet unclassified' stamp: 'sebi 4/12/2013 10:28'!
consumo
 ^self pantalla consumo + self placaVideo consumo + self consumoPorDiscosRigidos.! !

!Computadora methodsFor: 'as yet unclassified' stamp: 'sebi 4/12/2013 10:26'!
consumoPorDiscosRigidos
 ^(discosRigidos collect:[:unDisco| unDisco consumo]) sum.! !

!Computadora methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 13:04'!
discoRigido
 ^discoRigido! !

!Computadora methodsFor: 'as yet unclassified' stamp: 'sebi 4/12/2013 10:24'!
discosRigidos
 ^discosRigidos.! !

!Computadora methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 13:04'!
pantalla
 ^pantalla! !

!Computadora methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 13:04'!
pantalla: unaPantalla
 pantalla := unaPantalla! !

!Computadora methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 13:03'!
placaVideo
 ^placaVideo! !

!Computadora methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 13:03'!
placaVideo: unaPlacaVideo
 placaVideo := unaPlacaVideo! !

!Computadora methodsFor: 'as yet unclassified' stamp: 'sebi 4/12/2013 10:25'!
sacarDiscoRigido: discoRigido
 discosRigidos remove: discoRigido! !

Object subclass: #DiscoRigidoMagnetico
	instanceVariableNames: 'rpm'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-TADP'!

!DiscoRigidoMagnetico methodsFor: 'as yet unclassified' stamp: 'sebi 4/12/2013 10:37'!
consumo
 ^ (self rpm)*60/10000! !

!DiscoRigidoMagnetico methodsFor: 'as yet unclassified' stamp: 'sebi 4/12/2013 10:37'!
rpm
 ^rpm! !

!DiscoRigidoMagnetico methodsFor: 'as yet unclassified' stamp: 'sebi 4/12/2013 10:37'!
rpm: unValor
 rpm:=unValor! !

Object subclass: #HDMI
	uses: ConsumidorEntrada
	instanceVariableNames: 'definicion tasaRefresco'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-TADP'!

HDMI class
	uses: ConsumidorEntrada classTrait
	instanceVariableNames: ''!

!HDMI methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:38'!
definicion
 ^definicion.! !

!HDMI methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:38'!
definicion:unaDefinicion
 definicion := unaDefinicion! !

!HDMI methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:38'!
factorAumento
 ^1.2.! !

!HDMI methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:39'!
tasaRefresco
 ^tasaRefresco! !

Object subclass: #LCD
	uses: Digital + ConsumidorTecnologia
	instanceVariableNames: 'ppp'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-TADP'!

LCD class
	uses: Digital classTrait + ConsumidorTecnologia classTrait
	instanceVariableNames: ''!

!LCD methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:26'!
ppp
 ^ppp! !

!LCD methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:26'!
ppp: unValor
 ppp := unValor.! !

!LCD methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:29'!
wattsHora
 ^4! !

Object subclass: #LED
	uses: Digital + ConsumidorTecnologia
	instanceVariableNames: 'ppp'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-TADP'!

LED class
	uses: Digital classTrait + ConsumidorTecnologia classTrait
	instanceVariableNames: ''!

!LED methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:26'!
ppp
 ^ppp! !

!LED methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:27'!
ppp: unValor
 ppp := unValor.! !

!LED methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:29'!
wattsHora
 ^1! !

Object subclass: #MonitorPC
	uses: Pantalla
	instanceVariableNames: 'tecnologia tamanio entrada'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-TADP'!

MonitorPC class
	uses: Pantalla classTrait
	instanceVariableNames: ''!

!MonitorPC methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:14'!
entrada
 ^entrada.! !

!MonitorPC methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:14'!
entrada: unaEntrada
 entrada := unaEntrada.! !

!MonitorPC methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:15'!
tamanio
 ^tamanio.! !

!MonitorPC methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:15'!
tamanio: unTamanio
 tamanio := unTamanio.! !

!MonitorPC methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:15'!
tasaRefresco
 ^120.! !

!MonitorPC methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:16'!
tecnologia
 ^tecnologia.! !

!MonitorPC methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:16'!
tecnologia: unaTecnologia
 tecnologia := unaTecnologia.! !

Object subclass: #PlacaVideoIntegrada
	uses: PlacaVideo
	instanceVariableNames: 'consumoBase cantCoolers'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-TADP'!

PlacaVideoIntegrada class
	uses: PlacaVideo classTrait
	instanceVariableNames: ''!

!PlacaVideoIntegrada methodsFor: 'as yet unclassified' stamp: 'sebi 4/12/2013 10:42'!
aptoVideoJuegos
 ^false! !

!PlacaVideoIntegrada methodsFor: 'as yet unclassified' stamp: 'sebi 4/12/2013 10:43'!
cantCoolers
 ^cantCoolers! !

!PlacaVideoIntegrada methodsFor: 'as yet unclassified' stamp: 'sebi 4/12/2013 10:43'!
cantCoolers: nroCoolers 
 cantCoolers := nroCoolers! !

!PlacaVideoIntegrada methodsFor: 'as yet unclassified' stamp: 'sebi 4/12/2013 10:44'!
consumoBase
 ^consumoBase! !

!PlacaVideoIntegrada methodsFor: 'as yet unclassified' stamp: 'sebi 4/12/2013 10:44'!
consumoBase: unConsumo
 consumoBase := unConsumo! !

Object subclass: #PlacaVideoSinGPU
	uses: PlacaVideo
	instanceVariableNames: 'cantCoolers consumoBase'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-TADP'!

PlacaVideoSinGPU class
	uses: PlacaVideo classTrait
	instanceVariableNames: ''!

!PlacaVideoSinGPU methodsFor: 'as yet unclassified' stamp: 'sebi 4/12/2013 10:46'!
cantCoolers
 ^cantCoolers! !

!PlacaVideoSinGPU methodsFor: 'as yet unclassified' stamp: 'sebi 4/12/2013 10:46'!
cantCoolers: nroCoolers 
 cantCoolers := nroCoolers! !

!PlacaVideoSinGPU methodsFor: 'as yet unclassified' stamp: 'sebi 4/12/2013 10:46'!
consumoBase
 ^consumoBase! !

!PlacaVideoSinGPU methodsFor: 'as yet unclassified' stamp: 'sebi 4/12/2013 10:46'!
consumoBase: unConsumo
 consumoBase := unConsumo! !

Object subclass: #RF
	uses: ConsumidorEntrada
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-TADP'!

RF class
	uses: ConsumidorEntrada classTrait
	instanceVariableNames: ''!

!RF methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:40'!
definicion
 ^480.! !

!RF methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:39'!
factorAumento
 ^1! !

!RF methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:40'!
tasaRefresco
 ^50.! !

Object subclass: #SSD
	instanceVariableNames: 'consumo'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-TADP'!

!SSD methodsFor: 'as yet unclassified' stamp: 'sebi 4/12/2013 10:36'!
consumo
 ^consumo! !

!SSD methodsFor: 'as yet unclassified' stamp: 'sebi 4/12/2013 10:36'!
consumo: unValor
 consumo:=unValor! !

Object subclass: #TV
	uses: Pantalla
	instanceVariableNames: 'tecnologia tamanio entrada'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-TADP'!

TV class
	uses: Pantalla classTrait
	instanceVariableNames: ''!

TV subclass: #SmartTV
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-TADP'!

!SmartTV methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:19'!
tasaRefresco
 ^((super tasaRefresco) * 1.5) ! !

!TV methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:17'!
entrada
 ^entrada.! !

!TV methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:17'!
entrada: unaEntrada
 entrada := unaEntrada.! !

!TV methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:18'!
tamanio
 ^tamanio.! !

!TV methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:18'!
tamanio: unTamanio
 tamanio := unTamanio.! !

!TV methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:18'!
tasaRefresco
 ^90.! !

!TV methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:18'!
tecnologia
 ^tecnologia.! !

!TV methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:18'!
tecnologia: unaTecnologia
 tecnologia := unaTecnologia.! !

Object subclass: #VGA
	instanceVariableNames: 'definicion'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-TADP'!

!VGA methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:36'!
consumo: consumoTecnologia
 ^consumoTecnologia + (0.001 * self definicion)! !

!VGA methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:35'!
definicion
 ^definicion.! !

!VGA methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:46'!
definicion: unaDefinicion
 definicion := unaDefinicion.! !

!VGA methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:35'!
tasaRefresco
 ^120! !
